# Uses of Class
org.eclipse.jdt.junit.model.ITestElement.ProgressState

Packages that use ITestElement.ProgressState
Package
Description
org.eclipse.jdt.junit.model
Application programming interfaces representing test elements as shown in the JUnit view.

## Uses of ITestElement.ProgressState in org.eclipse.jdt.junit.model

Fields in org.eclipse.jdt.junit.model declared as ITestElement.ProgressState
Modifier and Type
Field
Description
`static final ITestElement.ProgressState`
ITestElement.ProgressState.`COMPLETED`
state that describes that the test element has completed
`static final ITestElement.ProgressState`
ITestElement.ProgressState.`NOT_STARTED`
state that describes that the test element has not started
`static final ITestElement.ProgressState`
ITestElement.ProgressState.`RUNNING`
state that describes that the test element has is running
`static final ITestElement.ProgressState`
ITestElement.ProgressState.`STOPPED`
state that describes that the test element has been stopped before being completed
Methods in org.eclipse.jdt.junit.model that return ITestElement.ProgressState
Modifier and Type
Method
Description
`ITestElement.ProgressState`
ITestElement.`getProgressState()`
Returns the progress state of this test element.